{% extends 'base.html' %}

{% block content %}
    <h1>{{ user }}</h1>
    <a id="create-chat">Начать беседу</a>

    <script>
    function getCookie(name) {
    var cookieValue = null;
    if (document.cookie && document.cookie !== '') {
        var cookies = document.cookie.split(';');
        for (var i = 0; i < cookies.length; i++) {
            var cookie = jQuery.trim(cookies[i]);
            // Does this cookie string begin with the name we want?
            if (cookie.substring(0, name.length + 1) === (name + '=')) {
                cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                break;
            }
        }
    }
    return cookieValue;
}
    var csrftoken = getCookie('csrftoken');

    function csrfSafeMethod(method) {
    // these HTTP methods do not require CSRF protection
    return (/^(GET|HEAD|OPTIONS|TRACE)$/.test(method));
}
$.ajaxSetup({
    beforeSend: function(xhr, settings) {
        if (!csrfSafeMethod(settings.type) && !this.crossDomain) {
            xhr.setRequestHeader("X-CSRFToken", csrftoken);
        }
    }
});

    $('#create-chat').click(function (event) {
        $.ajax({
            type: 'POST',
            url: '{% url 'add-chat' %}',
            data: {
                'username': '{{ user }}'
            },
        success: function (data) {
                var redirect_url = "{% url "messages" chat=1234 %}".replace('1234', data['title']);
                window.location = redirect_url;
        }})
        })
    </script>
{% endblock %}